Introduction

7+ Taskbar Tweaker allows you to configure various aspects of the Windows taskbar.

Most of the configuration options it provides can't be tweaked using the taskbar properties or the registry.

The tweaker is designed for Windows 7 and Windows 8.

Links

  • Web page
  • Bug/feature tracker
  • Donate

Copyright © 2009-2013 by RaMMicHaeL. All Rights Reserved.


Changelog

Introduction ››

v4.1.3 (January 25, 2013)

  • Dutch translation of the help file, by Frank Meijer.

v4.1.2 (January 18, 2013)

  • Detect target version from explorer's version info, not from the OS. Now the tweaker works with exotic stuff like Windows 7 explorer on Windows 8 .
  • Slovenian translation update.

v4.1.1 (December 18, 2012)

  • Hungarian translation, by Tóth Ádám.
  • German translation of the help file, by Daniel Reiners, the first hero to translate the whole help file!

v4.1 (December 14, 2012)

  • A help file.
  • Update notification: A checkbox for not notifying about a particular version.
  • Latvian translation, thanks Aigars Jacmenkins!
  • Windows volume control (SndVol.exe) runs in higher priority for better performance.
  • Fixed right drag detach on vertical taskbar ("Drag within/between groups using right mouse button" option).
  • Rebuilt the portable launcher to support older processors (versions 4.0.4 to 4.0.10 supported only processors with SSE2 instruction set).

v4.0.10 (October 17, 2012)

  • Fixed a bug that could cause a crash.

v4.0.9 (September 26, 2012)

  • Fixed the always-combine option and combining per Application ID in several situations.

v4.0.8 (September 18, 2012)

  • Improved the always-combine option and combining per Application ID (fixes combining with a vertical taskbar).
  • Fixed a possible crash when clicking on a pinned item.
  • Dutch translation, thanks Frank Meijer!

v4.0.7 (September 2, 2012)

  • Rebuilt the tweaker to support older processors (versions 4.0.4, 4.0.5, 4.0.6 supported only processors with SSE2 instruction set).

v4.0.6 (September 1, 2012)

  • Fixed the decombine-on-active-group option, which caused a crash.

v4.0.5 (September 1, 2012)

  • Fix: The decombine-on-mouse-hover option didn't work correctly with show-labels on.

v4.0.4 (September 1, 2012)

  • Improved the decombine-on-mouse-hover option, which also fixes a potential crash.
  • Fix: It's now possible to interact with the tray icon when update notification balloon is visible.
  • Language update: Slovenian.

v4.0.3 (August 26, 2012)

  • The tweaker shows you a changelog before updating.
  • Taskbar Inspector: A per-AppID option to group pinned items.
  • Improved interaction with sndvol.exe, making volume controlling more robust.
  • Fix: The "When not grouping, place new items next to the existing ones" option didn't work with pinned items.
  • New language: Traditional Chinese, thanks HJL!

v4.0.2 (August 17, 2012)

  • Fixed a crash when using the "When not grouping, place new items next to the existing ones" option (this time, hopefully, for real).

v4.0.1 (August 16, 2012)

  • Made the "Double/Middle click on empty space" -> "Ctrl+Alt+Tab" work as expected on Windows 7.
  • Added the option "Double/Middle click on empty space" -> "Ctrl+Win+Tab" for Windows 7. If aero is off or the tweaker runs on Windows 8, the option works like "Ctrl+Alt+Tab".
  • Fixed a crash when using the "When not grouping, place new items next to the existing ones" option.

v4.0 (August 12, 2012)

  • New program name: 7+ Taskbar Tweaker.
  • Windows 8 support.
  • General stability improvements and bug fixes.

v3.4.3 (April 20, 2012)

  • Simplified Chinese translation, thanks horan.
  • Option: Toggle taskbar auto-hide on double/middle clicking the taskbar's empty space.
  • Some minor improvements and fixes.

v3.4.2 (April 8, 2012)

  • Fix: A Taskbar Inspector bug in the 64-bit version.
  • Less disturbing update notification.
  • Volume scrolling: If system is muted, the slider shows up, but you must leave the taskbar to unmute it.

v3.4.1 (March 23, 2012)

  • Language updates.
  • Fix: If decombine on mouse hover is on, group combines when closing with middle click.

v3.4 (February 27, 2012)

  • Option: Thumbnails reordering by mouse dragging.

This option was requested since the first version of the tweaker, so here you go.

  • Option: Left click on combined item -> Open last window if inactive, otherwise open thumbnail preview.

Suggested by mathrick .

  • Option: Toggle mute system volume on empty space dobule/middle click.
  • Update checker.

Now the tweaker automatically checks for new versions, and allows you to update with one click.

v3.3.2 (February 5, 2012)

  • Fixed: Taskbar Inspector size didn't get saved.
  • Fixed a crash in the 64-bit version.
  • Added a Version Info resource.
  • Other small fixes.

v3.3.1 (January 15, 2012)

  • Some small fix.

v3.3 (January 15, 2012)

  • Option: Left click on the active thumbnail minimizes the window.

Windows 7's taskbar provides no easy way to minimize a window in a combined item. The whell scroll options help here, but when a mouse wheel is not available (e.g. a laptop), they don't help much. The new option provides a way to minimize the active window by clicking on it's thumbnail.

  • Fix: Multiple thumbnails now show up when grouping is disabled.

This bug existed since the first version of the tweaker. When grouping was disabled programs which used to show multiple thmubnails for a single window (like IE and it's thumbnails for tabs) showed only one thumbnail.

  • Italian language. Thanks vfede!

v3.2.1 (December 17, 2011)

  • When volume is muted, the volume control does not show up with mouse scroll.
  • If mouse scroll volume control is on, middle clicking the volume control tray icon toggles volume mute.
  • Fixed the autorun setting of the portable version.

v3.2 (December 3, 2011)

  • A portable version.

From the setup wizard, you can choose to install the tweaker normally or to extract the portable version. The portable version works for both 32 and 64 bit systems.

  • Option to change system volume by scrolling.

You can choose to enable this option for the notification area or for the whole taskbar.

  • Option to open ungrouped items nearby.

In case you disabled grouping for some (or all) of the taskbar items, you have now the option to open them one near the other.

  • Alphabetically sorting of items in a group.
  • Brazilian Portuguese language. Thanks Carlos!

v3.1.1 (November 27, 2011)

  • Languages updated, Portuguese was added (thanks Carlos).

v3.1 (November 13, 2011)

  • More taskbar item hover options.

Now you can choose to show a list instead of the thumbnail preview, show a tooltip (shows only if the title doesn't fit), or show nothing at all.

  • More combining options.

You can choose to combine (or not) your taskbar items. Also, you can set per Application ID rules for combining in Taskbar Inspector.

  • New option: Reserve empty space on taskbar.

The tweaker has options for middle/double clicking the taskbar's empty space. It works great except when the taskbar gets full. This option reserves a little square at the end of the task list, where you can always double/middle click.

  • New option: Hide the "Show desktop" button.

This option was requested several times, so here you go.

  • Small fixes.

The most notable of which is that the thumbnail preview does not get closed when you minimize with the mouse wheel.

v3.0.2 (November 11, 2011)

  • Improved compatibility with programs that use global mouse hook, such as WizMouse.

See details here .

  • Reversed scrolling direction for minimizing/restoring with mouse wheel if the taskbar is on top.

http://rammichael.com/7-taskbar-tweaker-v3-0/comment-page-1#comment-1058

v3.0.1 (November 11, 2011)

  • Fixed a bug with "Decombine active group" option.

v3.0 (October 22, 2011)

  • Mouse wheel options:

You can scroll between taskbar items with the mouse wheel, as well as minimize/restore a window when hovering a taskbar item or a thumbnail.

  • Decombining the active group.

This option will keep the currently active group decombined, similarly to the "decombine on mouse hover" feature.

  • New interface logic.

The options are now divided into three categories: Taskbar items, Grouping and combining, and Other, which will make it easier for you to navigate through them, and will make it easier for me to add new options. Special thanks to Arcyon for giving me some tips about the interface.

  • Improved stability.

The previous versions had some flaws regarding thread safety. This could rarely lead to a crash, a Taskbar Inspector window that does not close, or some other issue. The new version fixes these.

v2.1 (June 15, 2011)

  • Multiple Languages support.
  • A several-times-requested feature to open pinned items with double click to avoid accidental clicking.
  • The tweaker is now compatible with Dexpot's SevenDex feature. Note that if you use the "Don't group" tweaker option, force SevenDex's Application ID to group for the thumbnails to show up correctly.
  • The installer works on Windows Server 2008 R2. I did not actually test the tweaker on this OS, but I've heard it works, so here you go.

v2.0 (April 18, 2011)

  • An option to drag within groups, which enables you to group your taskbar items the way you want to using the right mouse button.

There's a bonus coming with that feature: you can scroll your mouse wheel while holding the right mouse button to show/hide labels of the group under the mouse.

  • The tweaker is distributed within a setup package.

v1.8 (February 18, 2011)

  • The decombine-on-hover feature introduced in v1.7 can also show labels when decombining.
  • Taskbar Inspector can now be opened by left clicking the tray icon.
  • The "Left click on grouped item" function is back. Although the tweak can be enabled through the registry , people wanted it back in 7TT, so here it is.

v1.7 (January 7, 2011)

  • New option: Decombine on hover.
  • New option: Make pinned items smaller.
  • Removed option: "cycle through windows option" on "left click on grouped button".

v1.6 (December 11, 2010)

  • 7 Taskbar Tweaker allows you to change Application IDs in order to group any items you want.
  • You can choose which Application IDs should have label, and which should not.
  • You can cascade/tile multiple windows.

v1.5 (November 27, 2010)

  • Taskbar Inspector:

1. Reorder items within a group.

2. Per Application ID grouping options.

3. Multiple window closing.

  • New option: Minimize taskbar items on middle click.
  • New option: Show desktop or open the Alt+Tab window (Ctrl+Alt+Tab) by double or middle clicking the empty space on the taskbar.

v1.0 (September 30, 2009)

  • First public version.


Tweaks

The tweaks are divided into three sections:

  • Taskbar items

Controls taskbar items related stuff, like middle/right clicking, hovering, and dropping.

  • Grouping and combining

Disables grouping, allows to drag taskbar buttons between groups, forces or disables combining, and more.

  • Other taskbar options

Provides mouse wheel options, taskbar empty space clicking options, and some other options.


Taskbar items

Tweaks ››

Terminology

Options

  • Right click
  • Middle click
  • Dropping
  • Hovering
  • Thumbnails
  • Pinned items


Right click

Tweaks ›› Taskbar items ››

Defines the menu to bring up when right clicking a taskbar item:

  • Jump list (default)

  • Standard window menu

Note

Hold Shift while right clicking a taskbar item to bring up the other menu.


Middle click

Tweaks ›› Taskbar items ››

Defines the action to take when middle clicking a taskbar item:

  • New program instance (default)
  • Switch to
  • Minimize
  • Close


Dropping

Tweaks ›› Taskbar items ››

Defines the action to take when dropping a file on a taskbar item:

  • Pin to (default)

  • Open with

Note

Hold Shift while hovering a taskbar item to use the other action.


Hovering

Tweaks ›› Taskbar items ››

Defines the preview to show when hovering over a taskbar item:

  • Show thumbnail preview (default)

  • List

  • Tooltip

  • Nothing


Thumbnails

Tweaks ›› Taskbar items ››

Drag to reorder

Allows you to drag thumbnail previews and change their order.

Note

Usually, reordering the thumbnail previews will also reorder the taskbar buttons, but not always. When an application uses custom thumbnail previews (like Internet Explorer, which uses thumbnail previews for it's tabs), the thumbnail previews and the taskbar buttons are not related to each other, and reordering the one doesn't affect the other.

Left click on the active thumbnail minimizes the window

If set, clicking on the thumbnail preview of the active window will minimize it.


Pinned items

Tweaks ›› Taskbar items ››

Remove extra gap between items

Reduces the space pinned items take up between each other.

Before

After

Open with double click

Makes pinned items launch on a double click instead of a single click.

Helps you to avoid accidentally clicking on pinned items and launching applications.


Grouping and combining

Tweaks ››

Terminology

Options

  • Grouping
  • Combining
  • Left click on combined item


Grouping

Tweaks ›› Grouping and combining ››

Since Windows 7, every window has an Application ID. If not defined by the application, the Application ID defaults to the application image path.

By default, the taskbar buttons are grouped by the Application ID of the windows. This option allows you to change this behavior:

  • Group by Application ID (default)

  • Don't group

Note

It's possible to control grouping per Application ID using Taskbar Inspector .

When not grouping, place new items next to the existing ones

When grouping is disabled, newly created taskbar buttons show up at the end of the taskbar. This option makes them show up next to the item they would group with if grouping was enabled.

For example, when you open a second Notepad window, that's what you get by default:

With grouping disabled, you get:

With grouping disabled and this option set, you get:

Don't group pinned items

Every pinned item has an Application ID, just like the taskbar buttons. By default, when a taskbar button with the same Application ID as the pinned item is created, it replaces the pinned item. This option makes the taskbar button show up at the end of the taskbar, while the pinned item stays untouched.

For example, you have a pinned item of Notepad:

By default, when you create a Notepad window, you get:

With this option set, you get:

Note

It's possible to control pinned item grouping per Application ID using Taskbar Inspector .

Drag within/between groups using right mouse button

This option allows you to right click on a taskbar button and drag it to change it's position:

  • When dragged within a group, it changes the position of the taskbar button within that group.
  • When dragged towards another taskbar item outside the group, it groups the taskbar button with that taskbar item.
  • When dragged outside the task list, it moves the taskbar button to a newly created group.

Bonus

When this option is set, scrolling the mouse wheel while holding the right mouse button will show/hide the label of the hovered taskbar button's Application ID.


Combining

Tweaks ›› Grouping and combining ››

A group of taskbar buttons might or might not be combined, depending on the taskbar properties.

This option allows you to change it:

  • Use taskbar settings (default)

Always combine, hide labels:

Never combine:

  • Combine grouped buttons

Always combine, hide labels:

Same as default.

Never combine:

  • Don't combine grouped buttons

Always combine, hide labels:

Never combine:

Same as default.

Notes

  • This option doesn't have any effect when the "Combine when taskbar is full" option is chosen in the taskbar properties.
  • It's possible to control combining per Application ID using Taskbar Inspector .

Decombine: ...

These options make combined groups decombine on a specific event:

  • Active group

When one of the windows of a combined group becomes active, the group decombines.

  • On mouse hover

When the mouse hovers over a combined group, the group decombines.

...and show labels

When set, the options above make the taskbar buttons' labels visible in addition to the decombining.


Left click on combined item

Tweaks ›› Grouping and combining ››

Defines the action to take when left clicking a combined group:

  • Open thumbnail preview (default)
  • Cycle through windows
  • Open last window if inactive, otherwise open thumbnail preview

If none of the windows of a combined group are active, switch to the last active window of that group.

Otherwise open thumbnail preview.


Other taskbar options

Tweaks ››

Options

  • Mouse wheel
  • Double/middle click on empty space
  • Other


Mouse wheel

Tweaks ›› Other taskbar options ››

Cycle between taskbar buttons

If set, scrolling the mouse wheel when the cursor is over the task list will cycle between taskbar buttons.

Skip minimized windows

If set, minimized windows will be skipped while cycling.

Minimize/restore when mouse is over: ...

These options allow you to minimize/restore a window by scrolling the mouse wheel when the cursor is over the corresponding item:

  • Taskbar buttons
  • Thumbnails

Control volume when mouse is over: ...

If set, scrolling the mouse wheel when the cursor is over the specified region will open volume control:

  • The taskbar
  • The notification area

Bonus

When one of the options above is set, middle clicking the volume control tray icon will mute/unmute speakers.


Double/middle click on empty space

Tweaks ›› Other taskbar options ››

These options refer to the empty space of the task list:

By default, middle or double clicking the empty space does nothing.

These options allow you to choose an action to take:

  • Nothing (default)
  • Show desktop
  • Ctrl+Alt+Tab
  • Task Manager
  • Taskbar Inspector
  • Toggle mute system volume
  • Toggle taskbar auto-hide
  • Ctrl+Win+Tab (Windows 7)


Other

Tweaks ›› Other taskbar options ››

Reserve empty space on taskbar

The tweaker has options for double/middle clicking on empty space . They work great except when the taskbar gets full. This option reserves a little square at the end of the task list, where you can always double/middle click.

Before

After

Hide the "Show desktop" button

Hides the "Show desktop" button at the end of the taskbar.

Before

After


Taskbar Inspector

The Taskbar Inspector is basically a list of taskbar items, grouped by Application ID the way they are grouped on the taskbar.

Note

Holding Ctrl+Shift while opening Taskbar Inspector will leave it open even after it loses focus. To close it, press Escape.

Application IDs

Every unindented item in the list with the arrow-like icon represents an Application ID.

It may have child items, which are indented. They represent taskbar buttons.

For a pinned item, the Application ID will have no child items.

For a taskbar button, the Application ID will have a single child item.

For a group of taskbar buttons, the Application ID will have several child items.

Double clicking an Application ID item will select it's child items.

Right clicking an Application ID item (when only the Application ID item is selected) will provide per Application ID options:

  • Show labels
  • Group

Read more about grouping here .

  • Group pinned item

Read more about pinned items grouping here .

  • Combine

Read more about combining here .

  • Sort group items (Only when multiple items are selected)

Alphabetically sorts child items.

Taskbar buttons

The indented items in the list represent taskbar buttons.

Dragging a taskbar button item will reorder it within the group.

Right clicking a taskbar button item will provide options for the taskbar button's window:

  • Change Application ID

Changes the Application ID of the selected taskbar button's window.

In addition to the available Application IDs, there are two special options:

    • random_group_[number]

Changes the window's Application ID to a random Application ID generated by the tweaker.

Taskbar buttons of these random Application IDs always group, even when grouping is disabled, which makes it easy to select multiple items and group them together.

    • (restore)

Restores the window's Application ID to the default process' Application ID.

  • Cascade (Only when multiple items are selected)
  • Tile horizontally (Only when multiple items are selected)
  • Tile vertically (Only when multiple items are selected)
  • Restore
  • Minimize
  • Maximize
  • Close


Settings

Run at startup

Defines whether the tweaker runs on Windows startup.

Note

This setting creates the registry value 7 Taskbar Tweaker in the following branch:

HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\Run

The value contains tweaker's executable path, followed by the -hidewnd command line switch.

Check for updates

When set, the tweaker automatically checks for updates.

When an update is available, the tray icon shows a green arrow, and a balloon tip appears.

When you click on the balloon tip, an updater dialog opens, which allows you to update to the new version with a single click.

You can also view the changelog and disable notification for this particular version.

Note

The tweaker checks for updates every 24 hours.

Hide tray icon

When set, the tweaker's tray icon is hidden.

To show the main dialog when the tray icon is hidden, run the tweaker.

To exit the tweaker, you have to make the tray icon visible again.

Tray icon left click opens: ...

Allows you to choose the dialog to open when left clicking the tray icon:

  • 7+ Taskbar Tweaker
  • Taskbar Inspector

Language: ...

Allows you to choose the interface language.

Note

For details about translating the tweaker to your language, read the online FAQ .


Advanced

There are some advanced options which allow you to "tweak the tweaker".

These have no interface, and must be set from the registry (or the .ini file for the portable version).

To apply these options, the tweaker must be restarted.

The idea is to provide something similar to Firefox's about:config - low level configuration most users don't need.


OptionsEx

Advanced ››

These extended options allow you to change some minor aspects about how the tweaker works.

Registry branch

HKEY_CURRENT_USER\Software\7 Taskbar Tweaker\OptionsEx

Values

Name | Data
jump_list_drag_disable | By default, when you drag a taskbar item towards the desktop, the jump list appears. This option disables it. 0 - disabled (default), 1 - enabled.
nocheck_minimize nocheck_maximize nocheck_close | By default, before minimizing/maximizing/closing a window, the tweaker checks whether the window supports this operation. These options allow you to disable the checks. Note that it might lead to unexpected behavior. Used in: Middle click options, mouse wheel minimizing options, Taskbar Inspector. 0 - disabled (default), 1 - enabled.
pinned_ungrouped_animate_launch | When the don't group pinned items option is set, the animation when you click a pinned item gets disabled. This option prevents it from being disabled. 0 - disabled (default), 1 - enabled.
sndvol_tooltip | The volume controlling option uses the Windows volume control program as an indicator. This option makes it use a tooltip instead. 0 - disabled (default), 1 - enabled.


Mouse Button Control

Advanced ››

These allow you to map different mouse click events to actions on the taskbar.

Note that these options have lower priority than the standard tweaks.

Registry branch

HKEY_CURRENT_USER\Software\7 Taskbar Tweaker\Mouse Button Control

Value name

The value name defines the target element, the mouse click event, and the modifier keys.

Target element

For now, these are supported:

  • taskbaritem - a taskbar item.
  • emptyspace - the empty space of the task list.

Mouse click event

One of the following:

  • lclick - Left button click.
  • ldblclick - Left button double click.
  • rclick - Right button click.
  • rdblclick - Right button double click.
  • mclick - Middle button click.
  • mdblclick - Middle button double click.
  • x1click - First X button (button 4) click.
  • x1dblclick - First X button (button 4) double click.
  • x2click - Second X button (button 5) click.
  • x2dblclick - Second X button (button 5) double click.

The X buttons (button 4 and button 5) refer to a 5-button mouse.

Modifier keys

One or more of the following:

  • ctrl
  • shift

Bringing it together

The final value name looks like this:

target_element|mouse_click_event+modifier1+modifier2

For example:

  • taskbaritem|ctrl+shift+lclick - a left click on a taskbar item, when ctrl and shift are down.
  • emptyspace|x1dblclick - a double button 4 click on the empty space of the task list.

Value data

The value data defines the action to map the mouse click event to.

The value data meaning depends on the target element:

taskbaritem

  • 1 - show
  • 2 - minimize
  • 3 - close
  • 4 - new instance
  • 5 - jumplist
  • 6 - standard menu

emptyspace

  • 1 - Show desktop
  • 2 - Ctrl+Alt+Tab
  • 3 - Task Manager
  • 4 - Taskbar Inspector
  • 5 - Toggle mute system volume
  • 6 - Toggle taskbar auto-hide
  • 7 - Ctrl+Win+Tab (Windows 7)

Examples

  • taskbaritem|ctrl+shift+lclick - 3 - a left click on a taskbar button, when ctrl and shift are down, closes the window.
  • emptyspace|x1dblclick - 1 - a double button 4 click on the empty space of the task list shows the desktop.